# spec file for package tinyca
#
# $Id: tinyca.spec,v 1.7 2003/06/23 21:36:59 sm Exp $
#
# Copyright (c) 2002 Stephan Martin
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# usedforbuild    aaa_base autoconf automake base bash binutils bison bzip2 cpio cpp cracklib cyrus-sasl2 db devs diffutils e2fsprogs file coreutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool zlib m4 make man mktemp modutils ncurses ncurses-devel net-tools pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim

%define	prefix		/usr
%define	bindir		%{prefix}/bin
%define	libdir		%{prefix}/share/TinyCA/lib
%define	templatesdir	%{prefix}/share/TinyCA/templates

Name:		tinyca
Group:		Utilities
License:	GPL
Requires:	perl perl-Tk perl-MIME-Base64
Version:	@version@
Release:	0
Packager:	Stephan	Martin <sm@sm-zone.net>
Source0:	%{name}-%{version}.tar.gz
Summary:	Graphical Frontend for very simple Certification Authority.
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description 
Graphical Frontend for very simple CA.
Based on OpenSSL and Perl-Tk

Author:
-------
Stephan Martin <sm@sm-zone.net>

%prep
%setup -n %{name}-%{version} -c %{name}-%{version} -T -D -a0

%build

cd TinyCA
# Configure pristine source
perl -pi -e 's:./lib:%{libdir}:g' tinyca
perl -pi -e 's:./templates:%{templatesdir}:g' tinyca

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

mkdir -p $RPM_BUILD_ROOT%{bindir}
mkdir -p $RPM_BUILD_ROOT%{libdir}
mkdir -p $RPM_BUILD_ROOT%{templatesdir}

cd TinyCA
install -m 444 lib/*.pm $RPM_BUILD_ROOT%{libdir}
install -m 644 templates/openssl.cnf $RPM_BUILD_ROOT%{templatesdir}
install -m 755 tinyca $RPM_BUILD_ROOT%{bindir}

%files
%defattr(-,root,root)
%{bindir}/tinyca
%{libdir}
%config %{templatesdir}
%doc TinyCA/CHANGES

%changelog

* Mon Jun 23 2003 - sm@sm-zone.net
- some tiny usability improvements
  thanks to ludwig.nussel@suse.de again
* Thu Jun 19 2003 - sm@sm-zone.net
- some usability improvements
  thanks to ludwig.nussel@suse.de
- some more configuration options
* Fri Oct  4 2002 - sm@sm-zone.net
- Fixed bug exporting keys in PEM format
- Fixed possible empty lines in cert/key/reqlist
  thanks to waldemar.mertke@gmx.de
* Fri Sep 27 2002 - sm@sm-zone.net
- fixed some minor bugs and typos (e.g. concerning openssl 0.9.7)
  thanks to iebgener@yahoo.com and waldemar.mertke@gmx.de
* Wed Aug 21 2002 - sm@sm-zone.net
- fixed revocation
- added some colors
- thanks to curly@e-card.bg
* Sun Aug 18 2002 - sm@sm-zone.net
- new version 0.4.0
- works independent of OpenCA modules now
- some enhancements to functionality (e.g. export of key without
  passwd)
- some smaller bugfixes in usability
- new specfile (thanks to oron@actcom.co.il)
* Thu Jun  6 2002 - Oron Peled <oron@actcom.co.il>
- Cleaned .spec file
* Mon Jun  3 2002 - sm@sm-zone.net
- fixed wrong templatedir when creating new CA
* Sun Jun  2 2002 - sm@sm-zone.net
- fixed some minor bugs and typos
* Sat May 11 2002 - sm@sm-zone.net
- Added parser for x509 extensions
* Fri May 03 2002 - sm@sm-zone.net
- added possibility to view requests/certificates
* Thu Apr 18 2002 - sm@sm-zone.net
- added configuration
* Sun Apr  7 2002 - sm@sm-zone.net
- improved usability
* Sun Mar 31 2002 - sm@sm-zone.net
- added function to delete ca
* Sat Mar 30 2002 - sm@sm-zone.net
- allow import of pkcs#10 requests
* Thu Mar 21 2002 - sm@sm-zone.et
- use different listboxes
* Mon Mar 18 2002 - sm@sm-zone.net
- initial package

